Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwaySimulationDiagramViewBuilder

    java.lang.Object
      biouml.model.DefaultDiagramViewBuilder
          biouml.standard.diagram.PathwayDiagramViewBuilder
              biouml.standard.diagram.PathwaySimulationDiagramViewBuilder

All Implemented Interfaces:
  DiagramViewBuilder

Direct Known Subclasses:
  CellMLDiagramViewBuilder, SbmlDiagramViewBuilder

public class PathwaySimulationDiagramViewBuilder
extends PathwayDiagramViewBuilder

Field Summary
`protected FormulaViewBuilder` | `formulaViewBuilder`

Fields inherited from class biouml.model.DefaultDiagramViewBuilder
`log`

Constructor Summary
`PathwaySimulationDiagramViewBuilder()`

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`
`protected boolean` | `createEquationView(CompositeView view, Node node, PathwaySimulationDiagramViewOptions options, java.awt.Graphics g)`
`protected boolean` | `createEventView(CompositeView eventView, Node node, PathwaySimulationDiagramViewOptions options, java.awt.Graphics g)`
`protected View` | `createMathView(Role role, java.lang.String math, PathwaySimulationDiagramViewOptions options, java.awt.Graphics g)`
`protected boolean` | `createNodeCoreView(CompositeView container, Node node, DiagramViewOptions options, java.awt.Graphics g)`
`CompositeView` | `createNodeView(Node node, DiagramViewOptions options, java.awt.Graphics g)`
`protected void` | `createReactionTitle(DiagramElement reactionNode, PathwayDiagramViewOptions options, java.awt.Graphics g)`
`protected boolean` | `createStateView(CompositeView stateView, Node node, PathwaySimulationDiagramViewOptions options, java.awt.Graphics g)`
`protected Diagram` | `getDiagram(DiagramElement de)`

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewBuilder
`createCellCoreView, createConceptCoreView, createDiagramView, createEdgeView, createEquivalentNodeGroupView, createFunctionCoreView, createGeneCoreView, createProcessCoreView, createProteinCoreView, createReactionCoreView, createReactionTitles, createRNACoreView, createSemanticRelationView, createStateCoreView, createSubstanceCoreView, doLocateReaction, getReactionBrush, getRelationEndTip, getRelationPen, getRelationStartTip, locateReaction`

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`buildNodes, calcAttachmentPoints, createCompartmentView, createNoteView, doCreateCompartmentView, getIcon, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formulaViewBuilder

    protected FormulaViewBuilder formulaViewBuilder

Constructor Detail

### PathwaySimulationDiagramViewBuilder

    public PathwaySimulationDiagramViewBuilder()

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

  Specified by:
    `createDefaultDiagramViewOptions` in interface `DiagramViewBuilder`
  Overrides:
    `createDefaultDiagramViewOptions` in class `PathwayDiagramViewBuilder`

### createNodeCoreView

    protected boolean createNodeCoreView(CompositeView container,
                                         Node node,
                                         DiagramViewOptions options,
                                         java.awt.Graphics g)

  Overrides:
    `createNodeCoreView` in class `PathwayDiagramViewBuilder`

### createNodeView

    public CompositeView createNodeView(Node node,
                                        DiagramViewOptions options,
                                        java.awt.Graphics g)

  Specified by:
    `createNodeView` in interface `DiagramViewBuilder`
  Overrides:
    `createNodeView` in class `PathwayDiagramViewBuilder`

### createReactionTitle

    protected void createReactionTitle(DiagramElement reactionNode,
                                       PathwayDiagramViewOptions options,
                                       java.awt.Graphics g)

  Overrides:
    `createReactionTitle` in class `PathwayDiagramViewBuilder`

### getDiagram

    protected Diagram getDiagram(DiagramElement de)

### createMathView

    protected View createMathView(Role role,
                                  java.lang.String math,
                                  PathwaySimulationDiagramViewOptions options,
                                  java.awt.Graphics g)

### createEventView

    protected boolean createEventView(CompositeView eventView,
                                      Node node,
                                      PathwaySimulationDiagramViewOptions options,
                                      java.awt.Graphics g)

### createEquationView

    protected boolean createEquationView(CompositeView view,
                                         Node node,
                                         PathwaySimulationDiagramViewOptions options,
                                         java.awt.Graphics g)

### createStateView

    protected boolean createStateView(CompositeView stateView,
                                      Node node,
                                      PathwaySimulationDiagramViewOptions options,
                                      java.awt.Graphics g)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.